#include "squidwall.h"

int check_user(void)
{
	struct list_head *l;
	struct squidwall_acl *acl;

	cfilter_user=pfilter_user=ufilter_user=crfilter_user=urfilter_user=0;
	bfilter_user=brfilter_user=wfilter_user=wrfilter_user=0;
	list_for_each(l, &users) {
		acl = list_entry(l, struct squidwall_acl, list);

		/* check the username */
		if (case_equals(acl->filename.s, user.s)) {
			debug_s2(DEBUG_CHECK_USER, "setze filter von user ", user.s);
			bfilter_user =&acl->bfilter;
			bcfilter_user=&acl->bcfilter;
			brfilter_user=&acl->brfilter;
			cfilter_user =&acl->cfilter;
			crfilter_user=&acl->crfilter;
			pfilter_user =&acl->pfilter;
			ufilter_user =&acl->ufilter;
			urfilter_user=&acl->urfilter;
			wfilter_user =&acl->wfilter;
			wrfilter_user=&acl->wrfilter;
			return acl->flags;
		}

	}

	return ACL_DEFAULT;
}
