#!/bin/sh

SERVER="102.168.100.6"
NETWORK="testing"

exec env -i \
 LOG_FILE="/var/log/squid/squidwall.log" \
 PROXY="127.0.0.1:3128" \
 CLAMD="127.0.0.1:3310" \
 MAX_SIZE="50000" \
 PFILTER_MAX="100" \
 REDIR_BADUSER="http://$SERVER/inet/deny.php?network=$NETWORK&reason=user&" \
 REDIR_BADHOST="http://$SERVER/inet/deny.php?network=$NETWORK&reason=host&" \
 REDIR_BADCONT="http://$SERVER/inet/deny.php?network=$NETWORK&reason=cont&" \
 REDIR_BADURL="http://$SERVER/inet/deny.php?network=$NETWORK&reason=url&" \
 REDIR_VIRUSFOUND="http://$SERVER/inet/deny.php?network=$NETWORK&reason=virus&" \
 REDIR_BANNERFOUND="http://$SERVER/inet/img/t.png" \
 REDIR_SAFESITE="http://$SERVER/" \
 /usr/bin/squidwall

# /usr/bin/strace -s 22222 -o /tmp/xx-$$.st \
