#include "squidwall.h"

/*
 * some simple debugging can be made
 */

#if DEBUG_LEVEL
int debug_level;

void debug(int level, char *msg)
{
	if (!isset(debug_level, level)) return;

	log_headline("debug"); log_s(msg); log_s("\n");

	return;
}

void debug_ulong(int level, char *msg, unsigned long num)
{
	if (!isset(debug_level, level)) return;

	log_headline("debug");
	log_s(msg); log_ulong(num); log_s("\n");

	return;
}

void debug_long(int level, char *msg, long num)
{
	if (!isset(debug_level, level)) return;

	log_headline("debug");
	log_s(msg); log_long(num); log_s("\n");

	return;
}

void debug_s(int level, char *s)
{
	debug_s2(level,s,0);

	return;
}

void debug_s2(int level, char *s1, char *s2)
{
	debug_s3(level,s1,s2,0);

	return;
}

void debug_s3(int level, char *s1, char *s2, char *s3)
{
	if (!isset(debug_level, level)) return;

	log_headline("debug");
	if (s1) log_s(s1);
	if (s2) log_s(s2);
	if (s3) log_s(s3);
	log_s("\n");

	return;
}

void debug_sa(int level, char *msg, stralloc *sa)
{
	if (!isset(debug_level, level)) return;

	log_headline("debug");
	log_s(msg); log_sa(sa); log_s("\n");

	return;
}

#endif
